# Notaro_Mouse_LM_2025

**_In vivo_ armed macrophages curb liver metastasis through tumor reactive T cell rejuvenation**

Notaro M, Monti M, Beretta S, Merelli I, Squadrito M, _et al._; 2025

Corresponding Author: Mario Leonardo Squadrito. Email: squadrito.mario@hsr.it.  [![Twitter URL](https://img.shields.io/twitter/url/https/twitter.com/wouter_decoster.svg?style=social&label=Follow%20%40Mariosqua)](https://x.com/Mariosqua)

GEO: [GSE273615](https://www.ncbi.nlm.nih.gov/geo/query/acc.cgi?acc=GSE273615)
ENA: [PRJEB78386](https://www.ebi.ac.uk/ena/browser/view/PRJEB78386)


## Directories and Files

- environment_singlecell5.yml: contains the conda virtual environment that can be used to install all the dependencies.
- scripts: folder with R scripts used for the analyses
    - TAD012
        - 001_TAD012_APCs_analysis_liver.R
        - 002_TAD012_Liver_Tetramer_and_CD4_GSEA_DOTPLOT.R
    - TAD018
        - 000_TAD018_liver_tumor_dot_plot_markers.R
        - 001_TAD018_liver_tumor_APCs_MLS_dotplot_stellari_radarplot.R
        - 002_TAD018_Liver_Tumor_TNK_dotplot_radar_GSEA.R
        - 003_TAD018_Alluvial_plot.R
    - TAD019
        - 001_TAD019_APCs_analysis.R
        - 002_TAD019_TandNK_analysis.R
        - 003_TAD019_Multinichenet_Tumor.R
    - Vizgen
        - Vizgen_transcript_distance_heatmap.R
        - Vizgen_transcript_distance.R
    - antigen_discovery
        - 001_antigen_discovery_filtering.R
        - 002_antigen_discovery_VCF_double_mutations.R
    - Others
        - plot_stellare_function.R
- data: results of the analyses
    - plots
    - tables
- reference
    - regev_lab_cell_cycle_mouse.rds: contains the genes involved in the cell cycle in mouse
    - miDB_sig4.MLS.rds: reference files for GSEA analysis

## scRNAseq analysis
The initial preprocessing of the data, including mapping against the _Mus musculus_ GRCm38 reference genome and gene counting, was done using the 10x Genomics Cell Ranger Software (v7.2.0) using default parameters. The resulting data were imported into R and analyzed with the Seurat package (v5.0.1).

